<div layout="row" class="plant-blocks-edit">
    <div class="plant-blocks-edit-tab-content">
        <!--start: items list-->
        <div>Cnt: {{$ctrl.blocks.length}}</div>
        <div ng-repeat="block in $ctrl.blocks" layout="column">
            <single-block-plant-content ng-if="block.type===0" show-language="$ctrl.showLanguage" block="block" block-idx="$index" is-first="$first" is-last="$last"></single-block-plant-content>
            <single-block-plant-images ng-if="block.type===1" block="block" block-idx="$index" is-first="$first" is-last="$last"></single-block-plant-images>
            <single-block-more-info-content plant="$ctrl.plant" ng-if="block.type===2" block="block" block-idx="$index" is-first="$first" is-last="$last"></single-block-more-info-content>
        </div>
        <!--end: items list-->
        <!--start: add text block-->
        <div ng-if="$ctrl.addMode===true && $ctrl.addType===0 ">
            <h3>New text block</h3>
            <text-block ng-if="$ctrl.addMode" content="$ctrl.newBlockContent" content-en="$ctrl.newBlockContentEn" background-color="$ctrl.newBlockColor" show-language="$ctrl.showLanguage"></text-block>            
        </div>
        <!--end: add text mode-->
        <!--start: add image block-->
        <div ng-if="$ctrl.addMode && $ctrl.addType===1 ">
            <h3>New image(s) block</h3>
            <images-block images="$ctrl.newBlockImages "></images-block>
        </div>
        <!--end: add image block-->
        <!--start: buttons-->
        <div layout="row " ng-if="$ctrl.addButtonsVisible">
            <div flex="none ">
                <md-button class="md-raised md-primary " ng-click="$ctrl.addBlock() " ng-if="!$ctrl.addMode ">Add text block</md-button>
                <md-button class="md-raised md-primary " ng-click="$ctrl.addImageBlock() " ng-if="!$ctrl.addMode ">Add image(s) block</md-button>
                <md-button class="md-raised md-primary " ng-click="$ctrl.addMoreInfoBlock() " ng-if="!$ctrl.addMode ">Add "More info" block</md-button>
                <md-button class="md-raised md-primary " ng-click="$ctrl.saveBlock() " ng-if="$ctrl.addMode && $ctrl.addType===0
                    " ng-disabled="$ctrl.newBlockContent.length===0 ">Save</md-button>
                <md-button class="md-raised md-primary " ng-click="$ctrl.saveBlock() " ng-if="$ctrl.addMode && $ctrl.addType===1
                    " ng-disabled="$ctrl.newBlockImages.length===0 ">Save</md-button>
                <md-button ng-if="$ctrl.addMode " ng-click="$ctrl.cancelAdd($event) ">cancel</md-button>
            </div>
            <div flex="auto "></div>
        </div>
        <!--end: buttons-->
    </div>
</div>